#
# Enable all the fake config variables
#

vars="CONFIG_WIMAX  CONFIG_WIMAX_I2400M CONFIG_WIMAX_I2400M_USB"

for var in $vars
do
    echo ".tmp.config.mk:export $var := m"
    echo "include/config.h:#define $var 1"
done

echo ".tmp.config.mk:export CONFIG_WIMAX_DEBUG_LEVEL := 8"
echo "include/config.h:#define CONFIG_WIMAX_DEBUG_LEVEL 8"

echo ".tmp.config.mk:export CONFIG_WIMAX_I2400M_DEBUG_LEVEL := 8"
echo "include/config.h:#define CONFIG_WIMAX_I2400M_DEBUG_LEVEL 8"


if ! kver=$(make -s -C $srctree kernelversion)
then
    cat 1>&2 <<EOF
E:
E: Can't determine Linux kernel version!!!!
E:
EOF
    exit 1
fi

major=$(echo $kver | cut -d. -f1)
minor=$(echo $kver | cut -d. -f2)
release=$(echo $kver | cut -d. -f3 | cut -d- -f1)


if [ $release -lt 24 ]
then
    echo "I: Linux kernel version < 2.6.24, no SDIO support" 1>&2
else
    cat <<EOF
.tmp.config.mk:ifdef CONFIG_MMC
.tmp.config.mk:export CONFIG_WIMAX_I2400M_SDIO := m
.tmp.config.mk:else
.tmp.config.mk:export CONFIG_WIMAX_I2400M_SDIO := n
.tmp.config.mk:endif
EOF
    cat <<EOF
include/config.h:#ifdef CONFIG_MMC
include/config.h:#define CONFIG_WIMAX_I2400M_SDIO 1
include/config.h:#endif
EOF
fi

